# Coveo Quickview Component (CoveoQuickview)

## Index

### Methods

- close
- debugInfo
- disable
- enable
- getBindings
- open
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- alwaysShow
- contentTemplate
- enableLoadingAnimation
- loadingAnimation
- showDate
- title
- tooltipPlacement

### Constructors

- constructor

## Methods

### close

- close(): void

- - Defined in ui/Quickview/Quickview.ts :385

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### open

- open(): Promise<void>

- - Defined in ui/Quickview/Quickview.ts :362

  #### Returns Promise<void>

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### alwaysShow

alwaysShow: boolean

- Defined in ui/Quickview/Quickview.ts :138

Markup configuration example(s) :

    data-always-show='true'
    data-always-show='false'

### contentTemplate

contentTemplate: Template

- Defined in ui/Quickview/Quickview.ts :188

### enableLoadingAnimation

enableLoadingAnimation: boolean

- Defined in ui/Quickview/Quickview.ts :161

Markup configuration example(s) :

    data-enable-loading-animation='true'
    data-enable-loading-animation='false'

### loadingAnimation

loadingAnimation: HTMLElement | Promise<HTMLElement>

- Defined in ui/Quickview/Quickview.ts :218

### showDate

showDate: boolean

- Defined in ui/Quickview/Quickview.ts :152

Markup configuration example(s) :

    data-show-date='true'
    data-show-date='false'

### title

title: string

- Defined in ui/Quickview/Quickview.ts :145

Markup configuration example(s) :

    data-title='foo'

### tooltipPlacement

tooltipPlacement: "auto" | "auto-start" | "auto-end" | "top-start" | "top" | "top-end" | "right-start" | "right" | "right-end" | "bottom-end" | "bottom" | "bottom-start" | "left-end" | "left" | "left-start"

- Defined in ui/Quickview/Quickview.ts :250

## Constructors

### constructor

- new Quickview(element: HTMLElement, options?: IQuickviewOptions, bindings?: IResultsComponentBindings, result?: IQueryResult, ModalBox?: ModalBox): Quickview

- Overwrites Component.constructor

  - Defined in ui/Quickview/Quickview.ts :257

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: IQuickviewOptions

  - ##### Optional bindings: IResultsComponentBindings

  - ##### Optional result: IQueryResult

  - ##### Default value ModalBox: ModalBox = ModalBoxModule

  #### Returns Quickview